#!/bin/sh

if test -z $1; then
  echo "Usage: $0 <file with list of specs>"
  exit
fi

for pkg in $(cat $1 | sed -e 's/\.spec$//g;'); do
  rm -f /tmp/$pkg.tags
  wget http://pkgrevs.tld-linux.org/list/$pkg -O /tmp/$pkg.tags 1>/dev/null 2>&1
  atag=$(head -n 1 /tmp/$pkg.tags)
  rm -f /tmp/$pkg.tags
  if [ "x$atag" = "x" ]; then
    echo "$pkg.spec"
  else
    echo "$pkg.spec:$atag"
  fi
done
